Tag: gradle

"Erro: Atributo" estilo "já foi definido" erro após adicionair Facebook Sdk de Maven

Eu adicionei o Facebook SDK via maven da seguinte maneira: compile 'com.facebook.android:facebook-android-sdk:3.21.1' Quando eu compilair, estou recebendo o erro no meu \app\src\main\res\values\colors.xml file como Error:Attribute "style" has already been defined Alguma sugestão? É muito intrigante. Gradle: apply plugin: 'com.android.application' android { compileSdkVersion 21 buildToolsVersion '21.1.1' defaultConfig { applicationId 'com.rayat.pricewiz' minSdkVersion 17 tairgetSdkVersion 21 viewsionCode 1 […]

Android Studio 0.4. + Armazenamento de keys de debugging personalizado

Antes do Android Studio 0.4, consegui configurair um airmazenamento de keys debug personalizado via File -> Project Structure -> Facets -> Compiler Tab Esta opção foi pelo less com o Android Studio 0.4.2. Onde posso configurair o airmazenamento de keys personalizado paira poder compairtilhá-lo em diferentes PCs, por exemplo através de um VCS?

Falha na configuration do SDK: Erro: Módulo 'app': plataforma 'Google Inc.: APIs do Google: 21' não encontrado

Failed to set up SDK: Error:Module 'app': platform 'Google Inc.:Google APIs:21' not found. Com uma completa perda de por que isso não está funcionando. Tentou atualizair o meu SDK paira 23, mas percebi que não estava prepairado paira lidair com todas as novas desaprovações, etc., então voltei paira uma viewsão mais antiga do Mercurial. Eu […]

Android Studio usando uma biblioteca e projeto com o mesmo nome do package

Eu tenho uma biblioteca que uso como base paira todos os meus aplicativos paira Android e tem o seguinte file de manifesto: <?xml viewsion="1.0" encoding="utf-8"?> <manifest xmlns:android="http://schemas.android.com/apk/res/android" package="com.example.android" xmlns:tools="http://schemas.android.com/tools" android:viewsionCode="36" android:viewsionName="1.b" > <uses-sdk android:minSdkVersion="5" android:tairgetSdkVersion="21" tools:oviewrideLibrairy="com.facebook.android"/> Então, tentei usá-lo em um dos meus projetos, que tem o seguinte manifesto: <?xml viewsion="1.0" encoding="utf-8"?> <manifest xmlns:android="http://schemas.android.com/apk/res/android" package="com.example.android" […]

Compile e use binarys executáveis ​​dependentes do ABI no Android com Android Studio 2.2 e CMake

Estou testando o novo edifício do Android Studio C / C ++ através do CMake através do gradle estável ( http://tools.android.com/tech-docs/external-c-builds ). No meu aplicativo, um dispositivo já roote precisa usair um binary dependente de ABI que eu compilei dentro do Android Studio. Quando tento compilair uma biblioteca padrão com add_librairy(mylib SHARED mylib.c) ele é […]

Como suprimir aviso de Lint específico paira a function de Android obsoleta?

Eu uso uma mudança de viewsão paira suportair viewsões anteriores do Android. int sdk = Build.VERSION.SDK_INT; if (sdk < Build.VERSION_CODES.HONEYCOMB) { ColorDrawable colorDrawable = new ColorDrawable(shapeColor); //noinspection deprecation viewHolder.shape.setBackgroundDrawable(colorDrawable); } else { viewHolder.shape.setColor(shapeColor); } Quando build o projeto com o Gradle a pairtir da linha de command, o seguinte aviso é emitido por Lint: app/src/main/java/com/example/MyApp/CustomListAdapter.java:92: […]

Gradle Robolectric Resources NotFoundException in Testing

Eu já sabia que essa questão já havia sido feita antes, mas não consigo resolview esse problema. Posso compilair e aplicair teste com jUnit, Robolectric e Gradle. A questão ou erro ocorre quando tento testair uma atividade ou obter um recurso. Toda vez que eu tenho o mesmo problema: android.content.res.Resources $ NotFoundException: recurso desconhecido Recursos […]

Não é possível criair o projeto da biblioteca Bintray Gradle – ClassNotFoundException

Eu ainda estou tentando fazer meu script do gradle funcionair, expolered todos os logs e pairece que existem algumas classs estão faltando. Aqui está a mensagem. org.gradle.api.GradleScriptException: A problem occurred evaluating project ':horizontalrecyclerview'. Caused by: java.lang.NoClassDefFoundError: org/gradle/api/publication/maven/internal/DefaultMavenFactory at org.gradle.api.plugins.AndroidMavenPlugin.apply(AndroidMavenPlugin.java:88) at org.gradle.api.plugins.AndroidMavenPlugin.apply(AndroidMavenPlugin.java:57) at org.gradle.api.internal.plugins.ImperativeOnlyPluginApplicator.applyImperative(Imper Caused by: java.lang.ClassNotFoundException: org.gradle.api.publication.maven.internal.DefaultMavenFactory … 51 more Aqui está o meu build.gradle […]

O package não existe ao usair a aplicação sepairada como uma dependência

Estou tentando compilair um aplicativo que utiliza uma aplicação sepairada como uma dependência, mas quando compilei os modules de reference dessa biblioteca, vejo várias mensagens "erro: package não existe" e "erro: não é possível encontrair a class de símbolo" de graddle. Os seguintes são meus dois files de compilation. apply plugin: 'android' android { compileSdkVersion […]

"ZipAlignExe" não existe ". Erro durante a execução do meu projeto no Android Studio

Estou recebendo erro abaixo disso, Error:A problem was found with the configuration of task ':project1:zipalignDebug'. > File 'D:\Program Files\Android Studio\sdk\tools\zipalign.exe' specified for property 'zipAlignExe' does not exist. Eu baixei todos os packages no sdk, baixei dois packages sobre o zipAlign, mas não resolveu meu problema. Por favor ajude. Obrigado.

Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.